import type { ControlPosition } from 'leaflet';
import { type LocateControlExtensionOptions } from 'vue-use-leaflet';
import type { ExtraControlPosition } from '../../utils/types';
export interface Props extends LocateControlExtensionOptions {
    position?: ControlPosition | ExtraControlPosition;
}
declare const _default: __VLS_WithTemplateSlots<import("vue").DefineComponent<{
    setView: {
        type: import("vue").PropType<string | boolean>;
    };
    flyTo: {
        type: import("vue").PropType<boolean>;
    };
    layer: {
        type: import("vue").PropType<import("leaflet").Layer>;
    };
    position: {
        type: import("vue").PropType<ExtraControlPosition | ControlPosition>;
        default: string;
    };
    keepCurrentZoomLevel: {
        type: import("vue").PropType<boolean>;
    };
    initialZoomLevel: {
        type: import("vue").PropType<number | boolean>;
    };
    clickBehavior: {
        type: import("vue").PropType<any>;
    };
    returnToPrevBounds: {
        type: import("vue").PropType<boolean>;
    };
    cacheLocation: {
        type: import("vue").PropType<boolean>;
    };
    drawCircle: {
        type: import("vue").PropType<boolean>;
    };
    drawMarker: {
        type: import("vue").PropType<boolean>;
    };
    showCompass: {
        type: import("vue").PropType<boolean>;
    };
    markerClass: {
        type: import("vue").PropType<any>;
    };
    compassClass: {
        type: import("vue").PropType<any>;
    };
    circleStyle: {
        type: import("vue").PropType<import("leaflet").PathOptions>;
    };
    markerStyle: {
        type: import("vue").PropType<import("leaflet").PathOptions | import("leaflet").MarkerOptions>;
    };
    compassStyle: {
        type: import("vue").PropType<import("leaflet").PathOptions>;
    };
    followCircleStyle: {
        type: import("vue").PropType<import("leaflet").PathOptions>;
    };
    followMarkerStyle: {
        type: import("vue").PropType<import("leaflet").PathOptions>;
    };
    icon: {
        type: import("vue").PropType<string>;
    };
    iconLoading: {
        type: import("vue").PropType<string>;
    };
    iconElementTag: {
        type: import("vue").PropType<string>;
    };
    textElementTag: {
        type: import("vue").PropType<string>;
    };
    circlePadding: {
        type: import("vue").PropType<number[]>;
    };
    metric: {
        type: import("vue").PropType<boolean>;
    };
    createButtonCallback: {
        type: import("vue").PropType<(container: HTMLDivElement, options: LocateControlExtensionOptions) => void>;
    };
    onLocationError: {
        type: import("vue").PropType<(event: ErrorEvent, control: import("vue-use-leaflet").LocateControlExtension) => void>;
    };
    onLocationOutsideMapBounds: {
        type: import("vue").PropType<(control: import("vue-use-leaflet").LocateControlExtension) => void>;
    };
    showPopup: {
        type: import("vue").PropType<boolean>;
    };
    strings: {
        type: import("vue").PropType<import("vue-use-leaflet").LocateControlExtensionStringsOptions>;
    };
    locateOptions: {
        type: import("vue").PropType<import("leaflet").LocateOptions>;
    };
}, {
    locateControl: import("vue-use-leaflet").UseLeafletLocateControlReturn;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    setView: {
        type: import("vue").PropType<string | boolean>;
    };
    flyTo: {
        type: import("vue").PropType<boolean>;
    };
    layer: {
        type: import("vue").PropType<import("leaflet").Layer>;
    };
    position: {
        type: import("vue").PropType<ExtraControlPosition | ControlPosition>;
        default: string;
    };
    keepCurrentZoomLevel: {
        type: import("vue").PropType<boolean>;
    };
    initialZoomLevel: {
        type: import("vue").PropType<number | boolean>;
    };
    clickBehavior: {
        type: import("vue").PropType<any>;
    };
    returnToPrevBounds: {
        type: import("vue").PropType<boolean>;
    };
    cacheLocation: {
        type: import("vue").PropType<boolean>;
    };
    drawCircle: {
        type: import("vue").PropType<boolean>;
    };
    drawMarker: {
        type: import("vue").PropType<boolean>;
    };
    showCompass: {
        type: import("vue").PropType<boolean>;
    };
    markerClass: {
        type: import("vue").PropType<any>;
    };
    compassClass: {
        type: import("vue").PropType<any>;
    };
    circleStyle: {
        type: import("vue").PropType<import("leaflet").PathOptions>;
    };
    markerStyle: {
        type: import("vue").PropType<import("leaflet").PathOptions | import("leaflet").MarkerOptions>;
    };
    compassStyle: {
        type: import("vue").PropType<import("leaflet").PathOptions>;
    };
    followCircleStyle: {
        type: import("vue").PropType<import("leaflet").PathOptions>;
    };
    followMarkerStyle: {
        type: import("vue").PropType<import("leaflet").PathOptions>;
    };
    icon: {
        type: import("vue").PropType<string>;
    };
    iconLoading: {
        type: import("vue").PropType<string>;
    };
    iconElementTag: {
        type: import("vue").PropType<string>;
    };
    textElementTag: {
        type: import("vue").PropType<string>;
    };
    circlePadding: {
        type: import("vue").PropType<number[]>;
    };
    metric: {
        type: import("vue").PropType<boolean>;
    };
    createButtonCallback: {
        type: import("vue").PropType<(container: HTMLDivElement, options: LocateControlExtensionOptions) => void>;
    };
    onLocationError: {
        type: import("vue").PropType<(event: ErrorEvent, control: import("vue-use-leaflet").LocateControlExtension) => void>;
    };
    onLocationOutsideMapBounds: {
        type: import("vue").PropType<(control: import("vue-use-leaflet").LocateControlExtension) => void>;
    };
    showPopup: {
        type: import("vue").PropType<boolean>;
    };
    strings: {
        type: import("vue").PropType<import("vue-use-leaflet").LocateControlExtensionStringsOptions>;
    };
    locateOptions: {
        type: import("vue").PropType<import("leaflet").LocateOptions>;
    };
}>>, {
    position: ExtraControlPosition | ControlPosition;
}, {}>, {
    default?(_: {}): any;
}>;
export default _default;
type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
