import type { DivIcon, DragEndEvent, Icon, LatLngExpression, LeafletEvent, LeafletMouseEvent, MarkerOptions, PopupEvent, TooltipEvent } from 'leaflet';
export interface Props extends MarkerOptions {
    latlng: LatLngExpression | null;
    icon?: Icon | DivIcon;
    opacity?: number;
    zIndexOffset?: number;
    draggable?: boolean;
}
declare const _default: __VLS_WithTemplateSlots<import("vue").DefineComponent<{
    latlng: {
        type: import("vue").PropType<LatLngExpression | null>;
        required: true;
    };
    icon: {
        type: import("vue").PropType<Icon<import("leaflet").IconOptions> | DivIcon>;
    };
    opacity: {
        type: import("vue").PropType<number>;
    };
    zIndexOffset: {
        type: import("vue").PropType<number>;
    };
    draggable: {
        type: import("vue").PropType<boolean>;
    };
    keyboard: {
        type: import("vue").PropType<boolean>;
    };
    title: {
        type: import("vue").PropType<string>;
    };
    alt: {
        type: import("vue").PropType<string>;
    };
    riseOnHover: {
        type: import("vue").PropType<boolean>;
    };
    riseOffset: {
        type: import("vue").PropType<number>;
    };
    shadowPane: {
        type: import("vue").PropType<string>;
    };
    autoPan: {
        type: import("vue").PropType<boolean>;
    };
    autoPanPadding: {
        type: import("vue").PropType<import("leaflet").PointExpression>;
    };
    autoPanSpeed: {
        type: import("vue").PropType<number>;
    };
    autoPanOnFocus: {
        type: import("vue").PropType<boolean>;
    };
    interactive: {
        type: import("vue").PropType<boolean>;
    };
    bubblingMouseEvents: {
        type: import("vue").PropType<boolean>;
    };
    pane: {
        type: import("vue").PropType<string>;
    };
    attribution: {
        type: import("vue").PropType<string>;
    };
}, {
    marker: import("vue-use-leaflet").UseLeafletMarkerReturn;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    "update:latlng": (value: LatLngExpression) => void;
    move: (event: LeafletEvent) => void;
    dragstart: (event: LeafletEvent) => void;
    movestart: (event: LeafletEvent) => void;
    drag: (event: LeafletEvent) => void;
    dragend: (event: DragEndEvent) => void;
    moveend: (event: LeafletEvent) => void;
    click: (event: LeafletMouseEvent) => void;
    dblclick: (event: LeafletMouseEvent) => void;
    mousedown: (event: LeafletMouseEvent) => void;
    mouseup: (event: LeafletMouseEvent) => void;
    mouseover: (event: LeafletMouseEvent) => void;
    mouseout: (event: LeafletMouseEvent) => void;
    contextmenu: (event: LeafletMouseEvent) => void;
    add: (event: LeafletEvent) => void;
    remove: (event: LeafletEvent) => void;
    popupopen: (event: PopupEvent) => void;
    popupclose: (event: PopupEvent) => void;
    tooltipopen: (event: TooltipEvent) => void;
    tooltipclose: (event: TooltipEvent) => void;
}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    latlng: {
        type: import("vue").PropType<LatLngExpression | null>;
        required: true;
    };
    icon: {
        type: import("vue").PropType<Icon<import("leaflet").IconOptions> | DivIcon>;
    };
    opacity: {
        type: import("vue").PropType<number>;
    };
    zIndexOffset: {
        type: import("vue").PropType<number>;
    };
    draggable: {
        type: import("vue").PropType<boolean>;
    };
    keyboard: {
        type: import("vue").PropType<boolean>;
    };
    title: {
        type: import("vue").PropType<string>;
    };
    alt: {
        type: import("vue").PropType<string>;
    };
    riseOnHover: {
        type: import("vue").PropType<boolean>;
    };
    riseOffset: {
        type: import("vue").PropType<number>;
    };
    shadowPane: {
        type: import("vue").PropType<string>;
    };
    autoPan: {
        type: import("vue").PropType<boolean>;
    };
    autoPanPadding: {
        type: import("vue").PropType<import("leaflet").PointExpression>;
    };
    autoPanSpeed: {
        type: import("vue").PropType<number>;
    };
    autoPanOnFocus: {
        type: import("vue").PropType<boolean>;
    };
    interactive: {
        type: import("vue").PropType<boolean>;
    };
    bubblingMouseEvents: {
        type: import("vue").PropType<boolean>;
    };
    pane: {
        type: import("vue").PropType<string>;
    };
    attribution: {
        type: import("vue").PropType<string>;
    };
}>> & {
    onAdd?: ((event: LeafletEvent) => any) | undefined;
    onRemove?: ((event: LeafletEvent) => any) | undefined;
    onDrag?: ((event: LeafletEvent) => any) | undefined;
    onDragend?: ((event: DragEndEvent) => any) | undefined;
    onDragstart?: ((event: LeafletEvent) => any) | undefined;
    onClick?: ((event: LeafletMouseEvent) => any) | undefined;
    onContextmenu?: ((event: LeafletMouseEvent) => any) | undefined;
    onDblclick?: ((event: LeafletMouseEvent) => any) | undefined;
    onMousedown?: ((event: LeafletMouseEvent) => any) | undefined;
    onMouseout?: ((event: LeafletMouseEvent) => any) | undefined;
    onMouseover?: ((event: LeafletMouseEvent) => any) | undefined;
    onMouseup?: ((event: LeafletMouseEvent) => any) | undefined;
    "onUpdate:latlng"?: ((value: LatLngExpression) => any) | undefined;
    onMove?: ((event: LeafletEvent) => any) | undefined;
    onMovestart?: ((event: LeafletEvent) => any) | undefined;
    onMoveend?: ((event: LeafletEvent) => any) | undefined;
    onPopupopen?: ((event: PopupEvent) => any) | undefined;
    onPopupclose?: ((event: PopupEvent) => any) | undefined;
    onTooltipopen?: ((event: TooltipEvent) => any) | undefined;
    onTooltipclose?: ((event: TooltipEvent) => any) | undefined;
}, {}, {}>, {
    default?(_: {}): any;
}>;
export default _default;
type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
