import type { MapOptions, LatLngBoundsExpression, LatLngExpression, LayersControlEvent, LayerEvent, LeafletEvent, ResizeEvent, LeafletKeyboardEvent, LeafletMouseEvent, LocationEvent, PopupEvent, TooltipEvent, ZoomAnimEvent } from 'leaflet';
import { type ViewChangedEvent } from 'vue-use-leaflet';
export interface Props extends MapOptions {
    center?: LatLngExpression;
    zoom?: number;
    bounds?: LatLngBoundsExpression;
    useFly?: boolean;
    theme?: string | 'light' | 'dark' | 'auto';
    id?: any;
    class?: any;
    style?: any;
}
declare const _default: __VLS_WithTemplateSlots<import("vue").DefineComponent<{
    attributionControl: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    boxZoom: {
        type: import("vue").PropType<boolean>;
    };
    doubleClickZoom: {
        type: import("vue").PropType<import("leaflet").Zoom>;
    };
    dragging: {
        type: import("vue").PropType<boolean>;
    };
    keyboard: {
        type: import("vue").PropType<boolean>;
    };
    scrollWheelZoom: {
        type: import("vue").PropType<import("leaflet").Zoom>;
    };
    tap: {
        type: import("vue").PropType<boolean>;
    };
    touchZoom: {
        type: import("vue").PropType<import("leaflet").Zoom>;
    };
    zoomControl: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    id: {
        type: import("vue").PropType<any>;
        default: undefined;
    };
    class: {
        type: import("vue").PropType<any>;
        default: undefined;
    };
    style: {
        type: import("vue").PropType<any>;
        default: undefined;
    };
    zoom: {
        type: import("vue").PropType<number>;
        default: number;
    };
    center: {
        type: import("vue").PropType<LatLngExpression>;
        default: () => number[];
    };
    minZoom: {
        type: import("vue").PropType<number>;
    };
    maxZoom: {
        type: import("vue").PropType<number>;
    };
    bounds: {
        type: import("vue").PropType<LatLngBoundsExpression>;
        default: undefined;
    };
    useFly: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    theme: {
        type: import("vue").PropType<string>;
        default: string;
    };
    preferCanvas: {
        type: import("vue").PropType<boolean>;
    };
    closePopupOnClick: {
        type: import("vue").PropType<boolean>;
    };
    zoomSnap: {
        type: import("vue").PropType<number>;
    };
    zoomDelta: {
        type: import("vue").PropType<number>;
    };
    trackResize: {
        type: import("vue").PropType<boolean>;
    };
    crs: {
        type: import("vue").PropType<import("leaflet").CRS>;
    };
    layers: {
        type: import("vue").PropType<import("leaflet").Layer[]>;
    };
    maxBounds: {
        type: import("vue").PropType<LatLngBoundsExpression>;
    };
    renderer: {
        type: import("vue").PropType<import("leaflet").Renderer>;
    };
    fadeAnimation: {
        type: import("vue").PropType<boolean>;
    };
    markerZoomAnimation: {
        type: import("vue").PropType<boolean>;
    };
    transform3DLimit: {
        type: import("vue").PropType<number>;
    };
    zoomAnimation: {
        type: import("vue").PropType<boolean>;
    };
    zoomAnimationThreshold: {
        type: import("vue").PropType<number>;
    };
    inertia: {
        type: import("vue").PropType<boolean>;
    };
    inertiaDeceleration: {
        type: import("vue").PropType<number>;
    };
    inertiaMaxSpeed: {
        type: import("vue").PropType<number>;
    };
    easeLinearity: {
        type: import("vue").PropType<number>;
    };
    worldCopyJump: {
        type: import("vue").PropType<boolean>;
    };
    maxBoundsViscosity: {
        type: import("vue").PropType<number>;
    };
    keyboardPanDelta: {
        type: import("vue").PropType<number>;
    };
    wheelDebounceTime: {
        type: import("vue").PropType<number>;
    };
    wheelPxPerZoomLevel: {
        type: import("vue").PropType<number>;
    };
    tapTolerance: {
        type: import("vue").PropType<number>;
    };
    bounceAtZoomLimits: {
        type: import("vue").PropType<boolean>;
    };
}, {
    container: import("vue").Ref<HTMLElement | null>;
    map: import("vue-use-leaflet").UseLeafletMapReturn;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    viewChanged: (event: ViewChangedEvent) => void;
    baselayerchange: (event: LayersControlEvent) => void;
    overlayadd: (event: LayersControlEvent) => void;
    overlayremove: (event: LayersControlEvent) => void;
    layeradd: (event: LayerEvent) => void;
    layerremove: (event: LayerEvent) => void;
    zoomlevelschange: (event: LeafletEvent) => void;
    resize: (event: ResizeEvent) => void;
    unload: (event: LeafletEvent) => void;
    viewreset: (event: LeafletEvent) => void;
    load: (event: LeafletEvent) => void;
    zoomstart: (event: LeafletEvent) => void;
    movestart: (event: LeafletEvent) => void;
    zoom: (event: LeafletEvent) => void;
    move: (event: LeafletEvent) => void;
    zoomend: (event: LeafletEvent) => void;
    moveend: (event: LeafletEvent) => void;
    popupopen: (event: PopupEvent) => void;
    popupclose: (event: PopupEvent) => void;
    autopanstart: (event: LeafletEvent) => void;
    tooltipopen: (event: TooltipEvent) => void;
    tooltipclose: (event: TooltipEvent) => void;
    locationerror: (event: ErrorEvent) => void;
    locationfound: (event: LocationEvent) => void;
    click: (event: LeafletMouseEvent) => void;
    dblclick: (event: LeafletMouseEvent) => void;
    mousedown: (event: LeafletMouseEvent) => void;
    mouseup: (event: LeafletMouseEvent) => void;
    mouseover: (event: LeafletMouseEvent) => void;
    mouseout: (event: LeafletMouseEvent) => void;
    mousemove: (event: LeafletMouseEvent) => void;
    contextmenu: (event: LeafletMouseEvent) => void;
    keypress: (event: LeafletKeyboardEvent) => void;
    keydown: (event: LeafletKeyboardEvent) => void;
    keyup: (event: LeafletKeyboardEvent) => void;
    preclick: (event: LeafletMouseEvent) => void;
    zoomanim: (event: ZoomAnimEvent) => void;
}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    attributionControl: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    boxZoom: {
        type: import("vue").PropType<boolean>;
    };
    doubleClickZoom: {
        type: import("vue").PropType<import("leaflet").Zoom>;
    };
    dragging: {
        type: import("vue").PropType<boolean>;
    };
    keyboard: {
        type: import("vue").PropType<boolean>;
    };
    scrollWheelZoom: {
        type: import("vue").PropType<import("leaflet").Zoom>;
    };
    tap: {
        type: import("vue").PropType<boolean>;
    };
    touchZoom: {
        type: import("vue").PropType<import("leaflet").Zoom>;
    };
    zoomControl: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    id: {
        type: import("vue").PropType<any>;
        default: undefined;
    };
    class: {
        type: import("vue").PropType<any>;
        default: undefined;
    };
    style: {
        type: import("vue").PropType<any>;
        default: undefined;
    };
    zoom: {
        type: import("vue").PropType<number>;
        default: number;
    };
    center: {
        type: import("vue").PropType<LatLngExpression>;
        default: () => number[];
    };
    minZoom: {
        type: import("vue").PropType<number>;
    };
    maxZoom: {
        type: import("vue").PropType<number>;
    };
    bounds: {
        type: import("vue").PropType<LatLngBoundsExpression>;
        default: undefined;
    };
    useFly: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    theme: {
        type: import("vue").PropType<string>;
        default: string;
    };
    preferCanvas: {
        type: import("vue").PropType<boolean>;
    };
    closePopupOnClick: {
        type: import("vue").PropType<boolean>;
    };
    zoomSnap: {
        type: import("vue").PropType<number>;
    };
    zoomDelta: {
        type: import("vue").PropType<number>;
    };
    trackResize: {
        type: import("vue").PropType<boolean>;
    };
    crs: {
        type: import("vue").PropType<import("leaflet").CRS>;
    };
    layers: {
        type: import("vue").PropType<import("leaflet").Layer[]>;
    };
    maxBounds: {
        type: import("vue").PropType<LatLngBoundsExpression>;
    };
    renderer: {
        type: import("vue").PropType<import("leaflet").Renderer>;
    };
    fadeAnimation: {
        type: import("vue").PropType<boolean>;
    };
    markerZoomAnimation: {
        type: import("vue").PropType<boolean>;
    };
    transform3DLimit: {
        type: import("vue").PropType<number>;
    };
    zoomAnimation: {
        type: import("vue").PropType<boolean>;
    };
    zoomAnimationThreshold: {
        type: import("vue").PropType<number>;
    };
    inertia: {
        type: import("vue").PropType<boolean>;
    };
    inertiaDeceleration: {
        type: import("vue").PropType<number>;
    };
    inertiaMaxSpeed: {
        type: import("vue").PropType<number>;
    };
    easeLinearity: {
        type: import("vue").PropType<number>;
    };
    worldCopyJump: {
        type: import("vue").PropType<boolean>;
    };
    maxBoundsViscosity: {
        type: import("vue").PropType<number>;
    };
    keyboardPanDelta: {
        type: import("vue").PropType<number>;
    };
    wheelDebounceTime: {
        type: import("vue").PropType<number>;
    };
    wheelPxPerZoomLevel: {
        type: import("vue").PropType<number>;
    };
    tapTolerance: {
        type: import("vue").PropType<number>;
    };
    bounceAtZoomLimits: {
        type: import("vue").PropType<boolean>;
    };
}>> & {
    onLoad?: ((event: LeafletEvent) => any) | undefined;
    onKeydown?: ((event: LeafletKeyboardEvent) => any) | undefined;
    onKeypress?: ((event: LeafletKeyboardEvent) => any) | undefined;
    onKeyup?: ((event: LeafletKeyboardEvent) => any) | undefined;
    onClick?: ((event: LeafletMouseEvent) => any) | undefined;
    onContextmenu?: ((event: LeafletMouseEvent) => any) | undefined;
    onDblclick?: ((event: LeafletMouseEvent) => any) | undefined;
    onMousedown?: ((event: LeafletMouseEvent) => any) | undefined;
    onMousemove?: ((event: LeafletMouseEvent) => any) | undefined;
    onMouseout?: ((event: LeafletMouseEvent) => any) | undefined;
    onMouseover?: ((event: LeafletMouseEvent) => any) | undefined;
    onMouseup?: ((event: LeafletMouseEvent) => any) | undefined;
    onMove?: ((event: LeafletEvent) => any) | undefined;
    onMovestart?: ((event: LeafletEvent) => any) | undefined;
    onMoveend?: ((event: LeafletEvent) => any) | undefined;
    onPopupopen?: ((event: PopupEvent) => any) | undefined;
    onPopupclose?: ((event: PopupEvent) => any) | undefined;
    onTooltipopen?: ((event: TooltipEvent) => any) | undefined;
    onTooltipclose?: ((event: TooltipEvent) => any) | undefined;
    onBaselayerchange?: ((event: LayersControlEvent) => any) | undefined;
    onOverlayadd?: ((event: LayersControlEvent) => any) | undefined;
    onOverlayremove?: ((event: LayersControlEvent) => any) | undefined;
    onLayeradd?: ((event: LayerEvent) => any) | undefined;
    onLayerremove?: ((event: LayerEvent) => any) | undefined;
    onZoomlevelschange?: ((event: LeafletEvent) => any) | undefined;
    onUnload?: ((event: LeafletEvent) => any) | undefined;
    onViewreset?: ((event: LeafletEvent) => any) | undefined;
    onZoomstart?: ((event: LeafletEvent) => any) | undefined;
    onZoom?: ((event: LeafletEvent) => any) | undefined;
    onZoomend?: ((event: LeafletEvent) => any) | undefined;
    onAutopanstart?: ((event: LeafletEvent) => any) | undefined;
    onResize?: ((event: ResizeEvent) => any) | undefined;
    onLocationerror?: ((event: ErrorEvent) => any) | undefined;
    onLocationfound?: ((event: LocationEvent) => any) | undefined;
    onPreclick?: ((event: LeafletMouseEvent) => any) | undefined;
    onZoomanim?: ((event: ZoomAnimEvent) => any) | undefined;
    onViewChanged?: ((event: ViewChangedEvent) => any) | undefined;
}, {
    attributionControl: boolean;
    zoomControl: boolean;
    id: any;
    class: any;
    style: any;
    zoom: number;
    center: LatLngExpression;
    bounds: LatLngBoundsExpression;
    useFly: boolean;
    theme: string;
}, {}>, {
    default?(_: {}): any;
}>;
export default _default;
type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
